Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.labkey.remoteapi.security
Class GetGroupPermsCommand

    java.lang.Object
      org.labkey.remoteapi.Command<GetGroupPermsResponse>
          org.labkey.remoteapi.security.GetGroupPermsCommand

    public class GetGroupPermsCommand

extends Command<GetGroupPermsResponse>

Nested Class Summary

Nested classes/interfaces inherited from class org.labkey.remoteapi.Command
`Command.CommonParameters`

Field Summary

Fields inherited from class org.labkey.remoteapi.Command
`CONTENT_TYPE_JSON`

Constructor Summary
`GetGroupPermsCommand()`
`GetGroupPermsCommand(GetGroupPermsCommand source)`

Method Summary
`GetGroupPermsCommand` | `copy()` Returns a copy of this object.
`protected GetGroupPermsResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text and the HTTP status code.
`java.util.Map<java.lang.String,java.lang.Object>` | `getParameters()` Returns the current parameter map, or null if a map has not yet been set.
`boolean` | `isIncludeSubfolders()` Returns whether the command will recurse down the subfolders of the folder in which the command is executed.
`void` | `setIncludeSubfolders(boolean includeSubfolders)` Sets whether this command should recurse down the subfolders of the folder in which the command is executed.

Methods inherited from class org.labkey.remoteapi.Command
`createMethod, execute, getActionName, getActionUrl, getControllerName, getHttpMethod, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetGroupPermsCommand

    public GetGroupPermsCommand()

### GetGroupPermsCommand

    public GetGroupPermsCommand(GetGroupPermsCommand source)

Method Detail

### isIncludeSubfolders

    public boolean isIncludeSubfolders()

  Returns whether the command will recurse down the subfolders of the folder in which the command is executed.

  Returns:
    true or false (default is false).

### setIncludeSubfolders

    public void setIncludeSubfolders(boolean includeSubfolders)

  Sets whether this command should recurse down the subfolders of the folder in which the command is executed.

  Parameters:
    `includeSubfolders` - true to recurse

### createResponse

    protected GetGroupPermsResponse createResponse(java.lang.String text,
                                                   int status,
                                                   java.lang.String contentType,
                                                   org.json.simple.JSONObject json)

  Description copied from class: `Command`
  Creates an instance of the response class, initialized with the response text and the HTTP status code.

  Override this method to create an instance of a different class that extends CommandResponse

  Overrides:
    `createResponse` in class `Command<GetGroupPermsResponse>`
  Parameters:
    `text` - The response text from the server.
    `status` - The HTTP status code.
    `contentType` - The Content-Type header value.
    `json` - The parsed JSONObject (or null if no JSON was returned).
  Returns:
    An instance of the response object.

### getParameters

    public java.util.Map<java.lang.String,java.lang.Object> getParameters()

  Description copied from class: `Command`
  Returns the current parameter map, or null if a map has not yet been set. Derived classes will typically override this method to provide a parameter map based on data members set by specialized setter methods.

  Overrides:
    `getParameters` in class `Command<GetGroupPermsResponse>`
  Returns:
    The current parameter map.

### copy

    public GetGroupPermsCommand copy()

  Description copied from class: `Command`
  Returns a copy of this object. Derived classes should override this to copy their own data members

  Overrides:
    `copy` in class `Command<GetGroupPermsResponse>`
  Returns:
    A copy of this object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD